com.microfocus.awm.meta.modelextension

## Class TargetReferenceExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.TargetReferenceExtension

-     public class TargetReferenceExtension
      extends java.lang.Object

  Used to store information about attributes which contain references to other model extension objects. Once the a model extension object is set `setModelExtensionObject(ModelExtensionObject)`, the String reference will be resolved in the corresponding `ModelExtensionObject`.
  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetReferenceExtension(org.eclipse.emf.ecore.EAttribute pAttribute, java.lang.String pModelExtensionID, java.util.concurrent.Callable<java.lang.String> pCallable, java.util.function.Consumer<java.lang.String> pConsumer)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getAttributeIdentifier()` Gets the attribute.
    `ModelExtensionObject` | `getModelExtensionObject()` Gets the referenced target property extension.
    `void` | `setModelExtensionObject(ModelExtensionObject pTargetProperty)` Sets the target property extension.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetReferenceExtension

          public TargetReferenceExtension(org.eclipse.emf.ecore.EAttribute pAttribute,
                                          java.lang.String pModelExtensionID,
                                          java.util.concurrent.Callable<java.lang.String> pCallable,
                                          java.util.function.Consumer<java.lang.String> pConsumer)

      Constructor.
      Parameters:
        `pAttribute` - the corresponding `EAttribute`
        `pModelExtensionID` - a model extension ID referenced in the attribute
        `pCallable` - the `Callable` which calls the attribute value
        `pConsumer` - the `Consumer` which accepts the resolved attribute value

  - ### Method Detail

    - #### getAttributeIdentifier

          public org.eclipse.emf.ecore.EAttribute getAttributeIdentifier()

      Gets the attribute.
      Returns:
        the attribute

    - #### setModelExtensionObject

          public void setModelExtensionObject(ModelExtensionObject pTargetProperty)

      Sets the target property extension.
      Parameters:
        `pTargetProperty` - the target property extension

    - #### getModelExtensionObject

          public ModelExtensionObject getModelExtensionObject()

      Gets the referenced target property extension.
      Returns:
        the target property extension or `null`, if the reference was invalid

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.